import gtk
import gtk.glade

# The new task assistant's class.
class PyAtCronAbout:

	def __init__ (self, parent):

		# We load the widgets and the callbacks from the glade file.
		self.widgetTree = gtk.glade.XML ("glade/about.glade")
		dic = {
						"on_about_delete_event" : self.deleteEvent,
						"on_close_button_clicked" : self.closeClicked
					}
		self.widgetTree.signal_autoconnect (dic)

		# It's the base widget.
		self.win = self.widgetTree.get_widget ("about")

		# If a parent is specified, center the window on it.
		if parent:
			self.win.set_transient_for (parent)
			self.win.set_position (gtk.WIN_POS_CENTER_ON_PARENT)

		# Displays the about dialog.
		self.win.show ()

	def deleteEvent (self, obj, event):
		self.quit ()

	def closeClicked (self, obj):
		self.quit ()

	# Unreferences the main window's widgets.
	def quit (self):
		self.win.destroy ()
